Bug 116222 - rpm seg faults by using --relocate
rpm seg faults by using --relocate
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-02-19 02:45 EST by Enrico
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-12-07 11:44:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Enrico 2004-02-19 02:45:46 EST
Description of problem:

rpm -i intel_ipl-2.2-1.i386.rpm --relocate=/usr/=/opt/ produces
segmentation fault

Version-Release number of selected component (if applicable):

rpm version 4.2.1 (running on AMD K6-2)

How reproducible:

use the library given above (or any other?)

Actual results:

segmentation fault

verbose output

D: ============== intel_ipl-2.2-1.i386.rpm
D: Expected size:      3347379 = lead(96)+sigs(100)+pad(4)+data(3347179)
D:   Actual size:      3347347
D: intel_ipl-2.2-1.i386.rpm: MD5 digest: OK
(9d2fe0b67be16518675be8b15f27d6cb)
D: ========== relocations
D:     0 relocate /usr -> /opt
Segmentation fault

Expected results:

installed package
Comment 1 Jeff Johnson 2004-02-19 05:29:10 EST
Can you supply a URL for the pkg please?
Comment 3 Richard Lee 2004-03-10 02:01:35 EST
I am also having problems using --prefix, which I think is a special
case of --relocate.  See bug 107127.
Comment 4 Eugene Oden 2004-12-06 19:17:48 EST
here's a fix for this problem: 
 
http://www.mail-archive.com/openpkg-dev%40openpkg.org/msg09531.html 
Comment 5 Jeff Johnson 2004-12-07 11:44:30 EST
Hmmm, perhaps. Anyways, the openpkg URL is a backport
of what is already in current rpm, so I'll close this
bug.

Note You need to log in before you can comment on or make changes to this bug.